summaryrefslogtreecommitdiff
path: root/tests.sh
diff options
context:
space:
mode:
authorArc Riley <arcriley@gmail.com>2010-11-20 19:19:09 -0500
committerArc Riley <arcriley@gmail.com>2010-11-20 19:19:09 -0500
commit819db8a7aefc86d723406144db7dd143fb55d83b (patch)
treebee84fc991c1616ee0761ac42e8b756f5f10254b /tests.sh
parent2c2fcd4f8f065e6f1e112d1e9a598833d7a9ea95 (diff)
downloaddisutils2-819db8a7aefc86d723406144db7dd143fb55d83b.tar.gz
Adding 3.1 testing to tests.sh
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests.sh b/tests.sh
index a78c005..00cef46 100755
--- a/tests.sh
+++ b/tests.sh
@@ -37,4 +37,13 @@ if [ $? -ne 0 ];then
else
echo Success
fi
+
+echo -n "Running tests for Python 3.1... "
+python3.1 -Wd -bb runtests.py -q 2> /dev/null
+if [ $? -ne 0 ];then
+ echo Failed
+ exit 1
+else
+ echo Success
+fi
echo "Good job, commit now! (or add tests)"